Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.transaction
Class SystemException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.transaction.SystemException

All Implemented Interfaces:
  java.io.Serializable

public class SystemException
extends java.lang.Exception

The SystemException is thrown by the transaction manager to indicate that it has encountered an unexpected error condition that prevents future transaction services from proceeding.

See Also:
  Serialized Form

Field Summary
`int` | `errorCode` The error code with which to create the SystemException.

Constructor Summary
`SystemException()`
`SystemException(int errcode)` Create a SystemException with a given error code.
`SystemException(java.lang.String s)` Create a SystemException with a given string.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### errorCode

    public int errorCode

  The error code with which to create the SystemException.

Constructor Detail

### SystemException

    public SystemException()

### SystemException

    public SystemException(java.lang.String s)

  Create a SystemException with a given string.

Parameters:
  `s` - The string message for the exception

### SystemException

    public SystemException(int errcode)

  Create a SystemException with a given error code.

Parameters:
  `errcode` - The error code for the exception

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.